= Websocket Consumer

A consumer that allows you to send messages using websocket.

== Beans for injection

The `WebsocketConsumerConfiguration` auto-configuration provides the following bean:

`Consumer<Message<?>> websocketConsumer`

You can use `websocketConsumer` as a qualifier when injecting.

== Configuration Options

All configuration properties are prefixed with `websocket.consumer`.

For more information on the various options available, please see link:src/main/java/org/springframework/cloud/fn/consumer/websocket/WebsocketConsumerProperties.java[WebsocketConsumerProperties].

== Tests

See this link:src/test/java/org/springframework/cloud/fn/consumer/websocket[test suite] for the various ways, this consumer is used.

== Other usage

See this https://github.com/spring-cloud/stream-applications/blob/master/applications/sink/websocket-sink/README.adoc[README] where this consumer is used to create a Spring Cloud Stream application where it makes a TCP sink.